<ion-header>
  <ion-navbar color="haldin-header" hideBackButton="true">
    <ion-buttons left>
      <button ion-button icon-only (click)="goBack()">
        <ion-icon name="arrow-back"></ion-icon>
      </button>
    </ion-buttons>
    <ion-title>
      <h3 style="margin-right: auto; margin-left: auto;">Data Transaksi</h3>
    </ion-title>
  </ion-navbar>
</ion-header>



<ion-content>
	<form (ngSubmit)="saveTransaksi()" #transaksiForm="ngForm">
    <!--<section class="home-container">
		<div class="row survey-row">
		  <div class="col col-style text-center"><h4><ion-icon name="checkbox"></ion-icon> Selesaikan Pembelian</h4></div>
		</div>            
    </section>-->
    <ion-item-divider>      
      <ion-label position="floating">
       <ion-icon name="cart"></ion-icon> 
        <span class="font-color-blue" style="font-size: 17px;">Keranjang</span> <span class="font-color-green" style="font-size: 17px;">Belanja</span>
      </ion-label>
      <ion-input></ion-input>
    </ion-item-divider>
	
    <ion-list>
      <ion-item *ngFor="let p of cart" class="ion-text-wrap">
        <ion-grid>
          <ion-row class="ion-align-items-center">
		    <img src="https://apps.haldinfoods.com/public/image/products/{{p.product_image}}" alt="" item-left class="product-thumb" width="40px" height="40px" />
            
			<ion-col size="12" size-md>              
			  <span style="font-size: 12px;">Kuantitas : {{ p.amount }} <br />
			  {{ p.amount * p.price | currency : "Rp." : 0  }}
			  </span>
            </ion-col>
		  </ion-row>
          <ion-row class="ion-align-items-center"> 
			<ion-col size="12" size-md>
               <span style="font-size: 12px;">{{ p.product_name }}  <b>{{ p.packaging_size }}</b> <!--<b>{{ p.weight }}</b>--></span>
            </ion-col>
          </ion-row>
        </ion-grid>
      </ion-item>
      <ion-item>
        <ion-grid>
          <ion-row>
            <ion-col size="12">
			<span style="font-size: 12px;">
              <b>Total: {{ getTotal() | currency : "Rp." : 0 }} </b>
			   <!--<b>Total Berat:</b>--> <!--{{ getWeight() }}-->
			</span>
            </ion-col>
          </ion-row>
        </ion-grid>
      </ion-item>
    </ion-list>
	
	<ion-item-divider>      
      <ion-label position="floating">
     <ion-icon name="contacts"></ion-icon>
        <span class="font-color-blue" style="font-size: 17px;">Data </span> <span class="font-color-green" style="font-size: 17px;">Pelanggan</span>
      </ion-label>
      <ion-input ></ion-input>
   </ion-item-divider>
   
    <ion-item>
        <ion-label position="floating">Customer</ion-label>
        <ion-input type="hidden" [(ngModel)]="total_berat" name="total_berat" clearInput=true></ion-input>	
        <ion-input type="hidden" [(ngModel)]="total_belanja" name="total_belanja" clearInput=true></ion-input>	
		
		<ion-select [(ngModel)]="customer" name="customer" >
			<ion-option *ngFor="let customer of data_customer" value="{{customer.gelar}}&{{customer.id}}&{{customer.customer_name}}&{{customer.email}}" [selected]="true">{{customer.customer_name}}</ion-option>
		</ion-select>   		
    </ion-item>
    
	
	<!-- <ion-item class="lista">
		<div class="item item-input item-select">
			<div class="input-label" style="color: #a3a3a3;">
				Customer
			</div>
			<select  name="customer" [(ngModel)]="customer" class="selector">
			    <option value="" selected="selected">-- Pilih Akun --</option>
				<option *ngFor="let customer of data_customer" value="{{customer.gelar}}&{{customer.id}}&{{customer.customer_name}}&{{customer.email}}">{{customer.customer_name}} ({{customer.email}})</option>
			</select>	
		</div>
	</ion-item> -->
	
   <ion-item>
    <ion-label>Telepon</ion-label>
	<ion-input type="hidden" [(ngModel)]="tipe_user" name="tipe_user" clearInput=true></ion-input>
    <ion-input type="text" [(ngModel)]="telepon" name="telepon" clearInput=true></ion-input>
  </ion-item>
  
 <!--  <div *ngIf=" todo.providerUser == 'Sales'">
	  <ion-item class="lista">
			<ion-label>Pilih Pembayaran</ion-label>
			<ion-select [(ngModel)]="pilihBayar" name="pilihBayar" (ionChange)="hideOutlet($event)">
				<ion-option value="1">Dengan OC</ion-option>
				<ion-option value="2">Pembayaran Bank</ion-option>
			</ion-select>		
	  </ion-item>
  </div> -->
  
  <!-- <div [hidden]=inputDisabled>   -->
  <ion-item-divider>      
      <ion-label position="floating">
     <ion-icon name="train"></ion-icon>
        <span class="font-color-blue" style="font-size: 17px;">Data</span> <span class="font-color-green" style="font-size: 17px;">Pengiriman</span>
      </ion-label>
      <ion-input ></ion-input>
   </ion-item-divider>
   
   <ion-item class="lista">	
        <ion-label>Produk Dikirim Dari</ion-label>	
		<ion-select name="originSelected" (ionChange)="onGetStock($event)" [(ngModel)]="originSelected">
		    <ion-option *ngFor="let origin of data_origin" value="{{origin.originIdOngkir}}" [selected]="origin.originIdOngkir==province_id_tab ? 'true':'false'">{{origin.StockAreaName}}</ion-option>
		</ion-select>
	</ion-item>	
   
   <div *ngIf=" todo.providerUser == 'Agent'">
    <ion-item>
		<ion-label>Nama Penerima</ion-label>
		<ion-input type="text" [(ngModel)]="nama_penerima" name="nama_penerima" clearInput=true></ion-input>
    </ion-item>
	</div>
  
    <ion-item>
        <ion-label position="floating">Alamat Tujuan</ion-label>
       <ion-textarea [(ngModel)]="alamat" name="alamat"></ion-textarea>
    </ion-item>
   
    <ion-item class="lista">	
        <ion-label>Pilih Provinsi</ion-label>	
		<ion-select name="provinsiSelected" (ionChange)="onGetCity2($event)" [(ngModel)]="provinsiSelected">
		    <ion-option *ngFor="let provinsi of data_provinsi" value="{{provinsi.id_propinsi}}" [selected]="provinsi.id_propinsi==province_id_tab ? 'true':'false'">{{provinsi.nama_propinsi}}</ion-option>
		</ion-select>
	</ion-item>	
	
	<ion-item class="lista">	
         <ion-label>Pilih Kota</ion-label>	
		<ion-select name="citySelected" [(ngModel)]="citySelected" (ionChange)="kecamatanData($event)">
		    <ion-option *ngFor="let city of data_city" value="{{city.id_kabkota}}" [selected]="city.id_kabkota==city_id_tab ? 'true':'false'">{{city.nama_kabkota}}</ion-option>
		</ion-select>
	</ion-item>	

      <ion-item class="lista">	
        <ion-label>Kecamatan *</ion-label>	
		<ion-select name="kecSelected" [(ngModel)]="kecSelected" (ionChange)="onGetKelurahan($event)">
		    <ion-option *ngFor="let kecamatan of data_kecamatan" value="{{kecamatan.id_kecamatan}}" [selected]="kecamatan.id_kecamatan==kec_id_tab ? 'true':'false'">{{kecamatan.nama_kecamatan}}</ion-option>
		</ion-select>
	</ion-item>	
	
	<!-- <ion-item class="lista">	
        <ion-label>Kelurahan *</ion-label>	
		<ion-select name="kelSelected" [(ngModel)]="kelSelected">
		    <ion-option *ngFor="let kelurahan of data_kelurahan" value="{{kelurahan.id_kelurahan}}" [selected]="kelurahan.id_kelurahan==kel_id_tab ? 'true':'false'">{{kelurahan.nama_kelurahan}}</ion-option>
		</ion-select>
	</ion-item>	 -->

  <ion-item>
		<ion-label>Kode Pos</ion-label>
		<ion-input type="text" [(ngModel)]="pos" name="pos" clearInput=true></ion-input>
    </ion-item>

	<ion-item class="lista">
	    <ion-label>Pengiriman</ion-label>
		<ion-select [(ngModel)]="kurirSelected" name="kurirSelected" (ionChange)="getPaket($event)">
		    <!-- <ion-option *ngFor="let kurir of data_kurir" value="{{kurir.kurir_id}}">{{kurir.nama_kurir}}</ion-option> -->
<!-- 			<ion-option value="0" [selected]="true">--Pilih Kurir Pengiriman--</ion-option>
 -->			<ion-option value="tiki" [selected]="true">Tiki</ion-option>
                <ion-option value="jne" [selected]="true">JNE</ion-option>
                <ion-option value="rex" [selected]="true">Rex</ion-option>
                <!--<div *ngIf=" todo.providerUser == 'Karyawan'">-->
                <div *ngIf="inputDisabledCibitung==false">
                  <ion-option value="none">Ambil langsung di HO Cibitung</ion-option>
                </div>
                <div *ngIf="inputDisabledBella==false">
                  <ion-option value="none1">Ambil langsung di Bella Terra</ion-option>
                </div>
                <div *ngIf="inputDisabledYogya==false">
                  <ion-option value="none2">Ambil langsung di Stock Yogya</ion-option>
                </div>
                <div *ngIf="inputDisabledKendari==false">
                  <ion-option value="none3">Ambil langsung di Stock Kendari</ion-option>
                </div>
                <div *ngIf="inputDisabledBali==false">
                  <ion-option value="none4">Ambil langsung di Stock Bali</ion-option>
                </div>
                <div *ngIf="inputDisabledBandung==false">
                  <ion-option value="none5">Ambil langsung di Stock Bandung</ion-option>
                </div>
                <div *ngIf="inputDisabledSemarang==false">
                  <ion-option value="none6">Ambil langsung di Stock Semarang</ion-option>
                </div>
                <div *ngIf="inputDisabledSolo==false">
                  <ion-option value="none7">Ambil langsung di Stock Solo</ion-option>
                </div>
                <div *ngIf="inputDisabledSurabaya==false">
                  <ion-option value="none8">Ambil langsung di Stock Surabaya</ion-option>
                </div>
                <div *ngIf="inputDisabledMedan==false">
                  <ion-option value="none9">Ambil langsung di Stock Medan</ion-option>
                </div>
                <div *ngIf="inputDisabledBatam==false">
                  <ion-option value="none10">Ambil langsung di Stock Batam</ion-option>
                </div>
                <div *ngIf="inputDisabledPekan==false">
                  <ion-option value="none11">Ambil langsung di Stock Pekanbaru</ion-option>
                </div>
                <div *ngIf="inputDisabledPadang==false">
                  <ion-option value="none12">Ambil langsung di Stock Padang</ion-option>
                </div>
                <div *ngIf="inputDisabledPalembang==false">
                  <ion-option value="none13">Ambil langsung di Stock Palembang</ion-option>
                </div>
                <div *ngIf="inputDisabledBanjarmasin==false">
                  <ion-option value="none14">Ambil langsung di Stock Banjarmasin</ion-option>
                </div>
                <div *ngIf="inputDisabledSamarinda==false">
                  <ion-option value="none15">Ambil langsung di Stock Samarinda</ion-option>
                </div>
                <div *ngIf="inputDisabledMakassar==false">
                  <ion-option value="none16">Ambil langsung di Stock Makassar</ion-option>
                </div>
				<!--</div>-->
		</ion-select>		
	</ion-item>
	
	<ion-item class="lista">
		<div class="item item-input item-select">
			<div class="input-label" style="color: #a3a3a3; padding: 4px;">
				Paket  : {{todo.set_cost | currency : "Rp." : 0}}
			</div>
			<!--<div *ngIf=" todo.providerUser == 'Karyawan'">
				{{0 | currency : "Rp." : 0}}
			</div>-->
			
			<span style="text-align: center;" [hidden]=inputDisabledShip>
				<select name="paketSelected" [(ngModel)]="paketSelected" [innerHTML]="sanitizer.bypassSecurityTrustHtml(data_cost)" class="selector" (change)="showCostPaket($event)">
					 
				</select>	
			</span>
			<span [hidden]=inputDisabledGpaket>
				<a href="#" style="background-color: #e2ebfd; color:#b13b3b;" ion-button icon-left (click)="gantipaket()">
				  <ion-icon name="arrow-dropright-circle"></ion-icon>
				  Ganti Paket 
				</a>
			</span>
		</div>
	</ion-item>
    
    <ion-item-divider>      
      <ion-label position="floating">
      <ion-icon name="cash"></ion-icon>
        <span class="font-color-blue" style="font-size: 17px;">Bank</span> <span class="font-color-green" style="font-size: 17px;">Pembayaran</span>
      </ion-label>
      <ion-input ></ion-input>
   </ion-item-divider>
   
  <!--   <ion-item>
		<ion-checkbox color="primary" slot="start" value="1" name="kartuku" [(ngModel)]="kartuku"></ion-checkbox>
		<ion-label>Simpan Kartu</ion-label>
    </ion-item> -->
	
	<ion-list radio-group  [(ngModel)]="paymentMethod" name="paymentMethod">	
	  <ion-item>
		<img src="https://apps.haldinfoods.com/public/frontend/images/payment/bca.png" alt="" item-left class="product-thumb" width="40px" />
		<ion-label><h2 text-wrap>BCA Akun Virtual</h2></ion-label>
		<div item-end>
			<div *ngIf="bank_set === '02;CENA'">
				<ion-radio value="02;CENA" checked></ion-radio>
			</div>
			
			<div *ngIf="bank_set != '02;CENA'">
			   <ion-radio value="02;CENA"></ion-radio>
			</div>
	    </div>
	  </ion-item>
	  
	 <ion-item class="lista">	  
      <img src="https://apps.haldinfoods.com/public/frontend/images/payment/ovo.jpg" alt="" item-left class="product-thumb" width="40px" />
      <ion-label>
        <h2 text-wrap>OVO</h2>
      </ion-label>
      <div item-end>
		<div *ngIf="bank_set === '05;OVOE'">
			 <ion-radio value="05;OVOE" checked></ion-radio>
		  </div>
		  
		  <div *ngIf="bank_set != '05;OVOE'">
           <ion-radio value="05;OVOE"></ion-radio>
          </div>
      </div>
    </ion-item>

    <ion-item class="lista">	  
      <img src="https://apps.haldinfoods.com/public/frontend/images/payment/dana.png" alt="" item-left class="product-thumb" width="35px" />
      <ion-label>
        <h2 text-wrap>Dana</h2>
      </ion-label>
      <div item-end>
		<div *ngIf="bank_set === '05;DANA'">
			 <ion-radio value="05;DANA" checked></ion-radio>
		  </div>
		  
		  <div *ngIf="bank_set != '05;DANA'">
           <ion-radio value="05;DANA"></ion-radio>
          </div>
      </div>
    </ion-item>
	
	 <ion-item>
		<img src="https://apps.haldinfoods.com/public/frontend/images/payment/mandiri.png" alt="" item-left class="product-thumb" width="40px" />
		<ion-label><h2 text-wrap>Mandiri Akun Virtual</h2></ion-label>
		<div item-end>
			<div *ngIf="bank_set === '02;BMRI'">
				<ion-radio value="02;BMRI" checked></ion-radio>
			</div>
			
			<div *ngIf="bank_set != '02;BMRI'">
			   <ion-radio value="02;BMRI"></ion-radio>
			</div>
	    </div>
	  </ion-item> 
	  
	 <ion-item class="lista">	  
      <img src="https://apps.haldinfoods.com/public/frontend/images/payment/bni.png" alt="" item-left class="product-thumb" width="40px" />
      <ion-label>
        <h2 text-wrap>BNI Akun Virtual</h2>
      </ion-label>
      <div item-end>
		  <div *ngIf="bank_set === '02;BNIN'">
			 <ion-radio value="02;BNIN" checked></ion-radio>
		  </div>
		  
		  <div *ngIf="bank_set != '02;BNIN'">
           <ion-radio value="02;BNIN"></ion-radio>
          </div>
      </div>
    </ion-item>
	<ion-item class="lista">	  
      <img src="https://apps.haldinfoods.com/public/frontend/images/payment/permata.png" alt="" item-left class="product-thumb" width="40px" />
      <ion-label>
        <h2 text-wrap>Permata Akun Virtual</h2>
      </ion-label>
      <div item-end>
	    <div *ngIf="bank_set === '02;BBBA'">
			<ion-radio value="02;BBBA" checked></ion-radio>
		</div>
		
		<div *ngIf="bank_set != '02;BBBA'">
		    <ion-radio value="02;BBBA"></ion-radio>
		</div>
      </div>
    </ion-item>
	<ion-item class="lista">	  
      <img src="https://apps.haldinfoods.com/public/frontend/images/payment/danamon.png" alt="" item-left class="product-thumb" width="40px" />
      <ion-label>
        <h2 text-wrap>Danamon Akun Virtual</h2>
      </ion-label>
      <div item-end>
		  <div *ngIf="bank_set === '02;BDIN'">
			 <ion-radio value="02;BDIN" checked></ion-radio>
		  </div>
		  
		  <div *ngIf="bank_set != '02;BDIN'">
           <ion-radio value="02;BDIN"></ion-radio>
          </div>
      </div>
    </ion-item>
	<ion-item class="lista">	  
      <img src="https://apps.haldinfoods.com/public/frontend/images/payment/cimb.png" alt="" item-left class="product-thumb" width="40px" />
      <ion-label>
        <h2 text-wrap>CIMB Akun Virtual</h2>
      </ion-label>
      <div item-end>
		 <div *ngIf="bank_set === '02;BNIA'">
			 <ion-radio value="02;BNIA" checked></ion-radio>
		  </div>
		  
		  <div *ngIf="bank_set != '02;BNIA'">
           <ion-radio value="02;BNIA"></ion-radio>
          </div>
      </div>
    </ion-item>
	<ion-item class="lista">	  
      <img src="https://apps.haldinfoods.com/public/frontend/images/payment/bri.png" alt="" item-left class="product-thumb" width="40px" />
      <ion-label>
        <h2 text-wrap>BRI Akun Virtual</h2>
      </ion-label>
      <div item-end>
		  <div *ngIf="bank_set === '02;BRIN'">
			 <ion-radio value="02;BRIN" checked></ion-radio>
		  </div>
		  
		  <div *ngIf="bank_set != '02;BRIN'">
           <ion-radio value="02;BRIN"></ion-radio>
          </div>
      </div>
    </ion-item>
	<ion-item class="lista">	  
      <img src="https://apps.haldinfoods.com/public/frontend/images/payment/maybank.png" alt="" item-left class="product-thumb" width="40px" />
      <ion-label>
        <h2 text-wrap>Mybank Akun Virtual</h2>
      </ion-label>
      <div item-end>
		  <div *ngIf="bank_set === '02;IBBK'">
			 <ion-radio value="02;IBBK" checked></ion-radio>
		  </div>
		  
		  <div *ngIf="bank_set != '02;IBBK'">
           <ion-radio value="02;IBBK"></ion-radio>
          </div>
      </div>
    </ion-item>
	<ion-item class="lista">	  
      <img src="https://apps.haldinfoods.com/public/frontend/images/payment/hanabank.png" alt="" item-left class="product-thumb" width="40px" />
      <ion-label>
        <h2 text-wrap>Hana Bank Akun Virtual</h2>
      </ion-label>
      <div item-end>
		<div *ngIf="bank_set === '02;HNBN'">
			 <ion-radio value="02;HNBN" checked></ion-radio>
		  </div>
		  
		  <div *ngIf="bank_set != '02;HNBN'">
           <ion-radio value="02;HNBN"></ion-radio>
          </div>
      </div>
    </ion-item>
   </ion-list>  
  <!-- </div> -->
  </form>
  
   <ion-refresher (ionRefresh)="doRefresh($event)">
    <ion-refresher-content></ion-refresher-content>
  </ion-refresher>
</ion-content>


<ion-footer>
  <ion-list no-margin>
    <ion-item no-padding>
      <ion-label padding-left>
        
      </ion-label>
      <button [hidden]=stockHiden item-end ion-button color="secondary" icon-left [disabled]="!transaksiForm.form.valid" (click)="transaksiForm.ngSubmit.emit()">
          <ion-icon name="document"></ion-icon>
         SIMPAN TRANSAKSI 
      </button>
    </ion-item>
  </ion-list>
</ion-footer>
